Skip to navigation

Create Store Suspension

Beta

This endpoint allows you to create a store suspension at the end of the merchant’s current billing cycle. Once a merchant’s store is suspended, billing is paused for the merchant’s store subscription.

Authentication

X-Auth-Clientstring
The client ID of the franchise API account.
OR
X-Auth-Tokenstring

An OAuth token generated from the franchise API account.

To authenticate, generate an OAuth Token (if you donʼt have one or itʼs expired):

POST https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/oauth/token
Accept: application/json
X-Auth-Client: {client_id}
X-Auth-Secret: {client_secret}

{
  "duration": 900
}

Response:

{
  "access_token": "dlkJcn34...Lkd012",
  "expires_at": "2018-04-24T16:15:26.509045122Z”
}

After you generate an OAuth token, use the client_id and oauth_token to authenticate all other API requests:

GET https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/accounts/123
Accept: application/json
X-Auth-Client: {client_id}
X-Auth-Token: {oauth_token}

Response:

{
  "data": {
    "id": "12345678910",
    "name": "Test Company",
    ...
  },
  "meta": {}
}

Path parameters

store_idstringRequired
The ID of the store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

Success
dataobjectOptional
metaobjectOptional

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
502
Bad Gateway Error
503
Service Unavailable Error
504
Gateway Timeout Error